Issue 20476 - Q-PCD MSInteroperability-8
Q-PCD MSInteroperability-8
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
OOo 1.0.0
All All
: P2 trivial (vote)
: OOo 2.0
Assigned To: oc
issues@framework
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-30 16:17 UTC by daniel.rentz
Modified: 2004-10-06 15:10 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description daniel.rentz 2003-09-30 16:17:28 UTC
Task tracking system for Childs
PLEASE CREATE CHILD-TASKS IN ISSUEZILLA!

Source
Enterprises

Category
Improve Calc Filters

Product Requirement 
Retain Excel Formatting

Customer Need/Problem
Formatting and layout of Excel spreadsheets, specifically borders are often lost 
when opening in Calc. List boxes (AutoFilter) from Microsoft come over, but the 
text is lost in the text box.

Comment
-

Eng Effort
HI

Eng Owner
Daniel Rentz

Product Concept
There are some cell attributes in MS Excel files that cannot be imported because 
SO/OOo does not support the corresponding features. This leads to differences in 
the appearance or behavior of imported documents that contain these attributes. 
Although the features themselves are not very important, these differences in 
imported documents justify implementing them anyway. The following features can 
be implemented in Calc in order to achieve better interoperability (in order of 
importance, most important first):

- Validation: allow values from list (#i3653# fixed)
- Variable position and size for annotations
- Formatted text in annotations
- Protection of scenarios
- Print range handling (allow mixed printing of sheets with and without print 
ranges) (#i4063#)
- Scale to pages: Separate settings for horizontal and vertical (#i8868#)
- Cell format 'Shrink to cell size'
- Cell format 'fill'
- Diagonal cell borders (#i8396#)
- 'Hyperlink' function

Another important feature thats missing in SO/OOo is the ability to create form 
controls (list boxes, check boxes, etc.) that are connected to spreadsheet 
cells. These controls get their values from the cells, and update the cells if 
something is selected. With the increased flexibility that will be needed to 
support the form layers own new features, we will be able to implement the 
connection to spreadsheet cells, too (#i19067# fixed; #i19368# fixed).

In addition the following improvements can be done to the MS Excel filter:
- Export of escapement (#105281# fixed)
- Handling of CJK number formats (#i13557# fixed, #109904# fixed)
Comment 1 daniel.rentz 2003-09-30 16:19:23 UTC
started
Comment 2 lutz.hoeger 2003-10-23 07:43:17 UTC
added keyword Q-PCD
Comment 3 daniel.rentz 2004-07-30 13:19:06 UTC
all subtasks are FIXED
Comment 4 daniel.rentz 2004-08-30 12:15:59 UTC
reopened
Comment 5 daniel.rentz 2004-08-30 12:16:20 UTC
back to QA
Comment 6 daniel.rentz 2004-08-30 12:16:34 UTC
fixed
Comment 7 oc 2004-10-06 15:10:30 UTC
c??losed because all subtask fixed and verified